Package ru.bitel.bgbilling.plugins.notification.common.bean

# Class NotificationData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.notification.common.bean.NotificationData

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class NotificationData extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `NotificationData.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotificationData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NotificationData.Builder`
  `builder()`
  `int`
  `getContractId()`
  `String`
  `getData()`
  `String`
  `getHandlerClassName()`
  `PeriodWithTime`
  `getPeriod()`
  `void`
  `setContractId(int contractId)`
  `void`
  `setData(String data)`
  `void`
  `setHandlerClassName(String handlerClassName)`
  `void`
  `setPeriod(PeriodWithTime period)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### NotificationData

    public NotificationData()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### setPeriod

    public void setPeriod(PeriodWithTime period)

  - ### getData

    public String getData()

  - ### setData

    public void setData(String data)

  - ### getHandlerClassName

    public String getHandlerClassName()

  - ### setHandlerClassName

    public void setHandlerClassName(String handlerClassName)

  - ### builder

    public static NotificationData.Builder builder()